<?php

declare(strict_types=1);

namespace mirzaev\huesos\models\interfaces;

// Framework for ArangoDB
use mirzaev\arangodb\enumerations\collection\type;

/**
 * Interface for implementing a collection from ArangoDB
 *
 * @package mirzaev\huesos\models\traits
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
interface collection
{
	/**
	 * Name of the collection in ArangoDB
	 */
	public const string COLLECTION = 'THIS_COLLECTION_SHOULD_NOT_EXIST';

	/**
	 * Type of the collection in ArangoDB
	 */
	public const type TYPE = type::document;
}
