"use strict";

/**
 * @name Telegram
 *
 * @description
 * Implements actions with data of the telegram account
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
export default class telegram {
	/**
	 * @name Type of the program
	 */
	static type = "module";

	/**
	 * Telegram "WebApp" API
	 *
	 * @see {@link https://core.telegram.org/bots/webapps#initializing-mini-apps}
	 */
	static api = window.Telegram.WebApp;
}

// Connecting to the core
if (!core.telegram) core.telegram = telegram;
